.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% dpkg\-Programmsammlung
.nh
.SH BEZEICHNUNG
dpkg\-statoverride \- über Eigentümerschaft und Modus von Dateien hinwegsetzen
.
.SH ÜBERSICHT
\fBdpkg\-statoverride\fP [\fIOption\fP …] \fIBefehl\fP
.
.SH BESCHREIBUNG
„\fBStat\-Hinwegsetzungen\fP“ sind eine Möglichkeit, \fBdpkg\fP(1) zu berichten,
einen anderen Eigentümer oder Modus für eine Pfad zu verwenden, wenn ein
Paket installiert wird (dies kann jedes Dateisystemobjekt sein, das \fBdpkg\fP
handhabt, darunter Verzeichnisse, Geräte, usw.). Dies kann dazu verwendet
werden, Programme, die normalerweise setuid sind, dazu zu zwingen, ohne
setuid\-Markierung zu installieren, oder nur von einer bestimmten Gruppe
ausführbar zu sein.
.P
\fBdpkg\-statoverride\fP ist ein Hilfswerkzeug, um die Liste der
Status\-Hinwegsetzungen zu verwalten. Es hat drei grundlegende Funktionen:
Hinzufügen, Entfernen und Auflisten von Hinwegsetzungen.
.
.SH BEFEHLE
.TP 
\fB\-\-add\fP\fI Benutzer Gruppe Modus Pfad\fP
Füge eine Hinwegsetzung für \fIPfad\fP hinzu. \fIPfad\fP muss noch nicht
existieren wenn dieser Befehl verwendet wird; die Hinwegsetzung wird
aufbewahrt und später verwendet. Benutzer und Gruppen können über ihren
Namen (beispielsweise \fBroot\fP oder \fBnobody\fP) spezifiziert werden, oder über
ihre Nummer mit vorangestelltem ‚\fB#\fP’ (beispielsweise \fB#0\fP oder
\fB#65534\fP). Der \fIModus\fP muss oktal angegeben werden.

Falls \fB\-\-update\fP angegeben ist und \fIPfad\fP existiert, dann wird dieser
sofort auf den neuen Eigentümer und Modus eingestellt.
.TP 
\fB\-\-remove\fP\fI Pfad\fP
Entfernt eine Hinwegsetzung für \fIPfad\fP, der Status von \fIPfad\fP bleibt durch
diesen Befehl unverändert.
.TP 
\fB\-\-list\fP [\fIGlob\-Muster\fP]
Liste alle Hinwegsetzungen auf. Falls ein Glob\-Muster spezifiziert wurde,
begrenze die Ausgabe auf Hinwegsetzungen, die auf den Glob passen.
.TP 
\fB\-\-help\fP
Zeige den Bedienungshinweis und beende.
.TP 
\fB\-\-force\-help\fP
Give help about the \fB\-\-force\-\fP\fIthing\fP options (since dpkg 1.19.5).
.TP 
\fB\-\-version\fP
Gebe die Version aus und beende sich.
.
.SH OPTIONEN
.TP 
\fB\-\-admindir\fP\fI Verzeichnis\fP
Setzt das administrative Verzeichnis auf \fIVerzeichnis\fP. Hier wird auch die
Datei \fIstatoverride\fP gelagert. Standardmäßig \fI%ADMINDIR%\fP.
.TP 
\fB\-\-instdir\fP\fI Verzeichnis\fP
Setzt das Installationsverzeichnis, das sich auf das Verzeichnis bezieht, in
dem Pakete installiert werden (seit Dpkg 1.19.2). Standardmäßig »\fI/\fP«.
.TP 
\fB\-\-root\fP\fI Verzeichnis\fP
Setzt das Wurzelverzeichnis auf \fIVerzeichnis\fP, wodurch das
Installationsverzeichnis auf »\fIVerzeichnis\fP« und das administrative
Verzeichnis auf »\fIVerzeichnis\fP\fB%ADMINDIR%\fP« gesetzt wird (seit Dpkg
1.19.2).
.TP 
\fB\-\-force\-\fP\fISachen\fP
.TQ
\fB\-\-no\-force\-\fP\fISachen\fP, \fB\-\-refuse\-\fP\fISachen\fP
Force or refuse (\fBno\-force\fP and \fBrefuse\fP mean the same thing)  to do some
things (since dpkg 1.19.5).  \fIthings\fP is a comma separated list of things
specified below.  \fB\-\-force\-help\fP displays a message describing them.
Things marked with (*) are forced by default.

\fIWarning: These options are mostly intended to be used by experts only.
Using them without fully understanding their effects may break your whole
system.\fP

\fBall\fP: Schaltet alle »force«\-Optionen ein (oder aus).

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.
.TP 
\fB\-\-force\fP
Force an action, even if a sanity check would otherwise prohibit it.  This
is necessary to override an existing override.  This option is deprecated
(since dpkg 1.19.5), it is replaced by \fB\-\-force\-all\fP.
.TP 
\fB\-\-update\fP
Versuche den \fIPfad\fP sofort auf den neuen Eigentümer und neuen Modus zu
ändern, falls er existiert.
.TP 
\fB\-\-quiet\fP
Sei nicht so ausführlich darüber, was wir machen.
.
.SH RÜCKGABEWERT
.TP 
\fB0\fP
Die angeforderte Aktion wurde erfolgreich ausgeführt.
.TP 
\fB1\fP
Für \fB\-\-list\fP, falls es keine Hinwegsetzungen gab oder keine auf die
angegebenen Metazeichen passte.
.TP 
\fB2\fP
Fataler oder nicht behebbarer Fehler aufgrund ungültiger
Befehlszeilenverwendung oder Interaktionen mit dem System, wie Zugriffe auf
die Datenbank, Speicherzuweisungen usw.
.
.SH UMGEBUNG
.TP 
\fBDPKG_ROOT\fP
Falls gesetzt und die Option \fB\-\-instdir\fP oder \fB\-\-root\fP nicht angegeben
wurde, wird dies als Dateisystemwurzelverzeichnis verwandt.
.TP 
\fBDPKG_ADMINDIR\fP
Falls gesetzt und die Option \fB\-\-admindir\fP oder \fB\-\-root\fP nicht verwandt
wurde, wird dies als Datenverzeichnis von \fBdpkg\fP verwandt.
.TP 
\fBDPKG_FORCE\fP
If set and none of the \fB\-\-force\-\fP\fI...\fP options have been specified, it
will be used as the force options to use (since dpkg 1.19.5).
.TP 
\fBDPKG_COLORS\fP
Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte
sind: \fBauto\fP (Vorgabe), \fBalways\fP und \fBnever\fP.
.
.SH DATEIEN
.TP 
\fI%ADMINDIR%/statoverride\fP
Datei, die die aktuelle Liste der Hinwegsetzungen auf dem System
enthält. Sie befindet sich im \fBpkg\fP\-Administrationsverzeichnis, zusammen
mit anderen für \fBdpkg\fP wichtigen Dateien, wie \fIstatus\fP oder \fIavailable\fP.
.br
Hinweis: \fBdpkg\-statoverride\fP erhält die alte Kopie dieser Datei mit der
Endung „\-old“ bevor es sie mit einer neuen ersetzt.
.
.SH "SIEHE AUCH"
\fBdpkg\fP(1).
.SH ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2018 von Helge Kreutzmann
<debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und
2008 von Sven Joachim <svenjoac@gmx.de>
angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die
GNU General Public License Version 2 oder neuer für die Kopierbedingungen.
Es gibt KEINE HAFTUNG.
